Bug 699161 - Kernel bug at fs/ext4/inode.c:2188 with F15 beta
Summary: Kernel bug at fs/ext4/inode.c:2188 with F15 beta
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-23 19:28 UTC by Andre Costa
Modified: 2012-06-04 19:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-04 19:01:03 UTC
Type: ---


Attachments (Terms of Use)

Description Andre Costa 2011-04-23 19:28:27 UTC
Description of problem:
System crashes with kernel bug at fs/ext4/inode.c:2188 while trying to report bug #699153 using ABRT.

Version-Release number of selected component (if applicable):
Kernel version shipped with F15 beta x86_64 live image.

How reproducible:
Always.

Steps to Reproduce:
1.try to run keyboard configuration
2.app crashes (bug #699153)
3.try to report the problem using ABRT
  
Actual results:
Somewhere after debug info package 72 is downloaded system drops out of graphical mode and shows a kernel stack trace.

Expected results:
Report the keyboard configuration problem using ABRT, system keeps running.

Additional info:
This is a x86_64 live image running from a 2G FAT32 partition on a 16G USB stick.

I don't have the whole stack trace, but it starts with

kernel BUG at fs/ext4/inode.c:2188
invalid opcode : 0000 [#1] SMP
last sys file: /sys/devices/system/cpu1/cache/index2/shared_cpu_map

the last stackreace entry is:

mpage_da_map_and_submit+0x1fa/0x2e0

Comment 1 Chuck Ebbert 2011-04-24 03:25:14 UTC
fs/ext4/inode.c:2188:ext4_da_block_invalidatepages():

                for (i = 0; i < nr_pages; i++) {
                        struct page *page = pvec.pages[i];
                        if (page->index > end)
                                break;
===>                    BUG_ON(!PageLocked(page));
                        BUG_ON(PageWriteback(page));
                        block_invalidatepage(page, 0);
                        ClearPageUptodate(page);
                        unlock_page(page);
                }

> the last stackreace entry is:
> 
> mpage_da_map_and_submit+0x1fa/0x2e0

Maybe the multipage write code is still buggy?

Comment 2 Eric Sandeen 2011-04-24 04:52:45 UTC
(In reply to comment #1)


> Maybe the multipage write code is still buggy?

Good possibility, new bugs are still being found.  we'll see how it goes, I guess, maybe disabling for a while longer would be in order.

Comment 3 Chuck Ebbert 2011-04-25 01:21:57 UTC
How do we even tell if the multipage write code is enabled? I don't see any defaults in ext4.

Comment 4 Eric Sandeen 2011-04-25 14:51:36 UTC
It's not on by default in 2.6.38.3...  sorry, not sure yet what's going on here.

Comment 5 Dave Jones 2012-04-11 15:21:50 UTC
Andre, have you been able to reproduce this at all ?

Comment 6 Andre Costa 2012-04-12 19:32:56 UTC
(In reply to comment #5)
> Andre, have you been able to reproduce this at all ?

Hi Dave,

sorry, forgot to follow up on this. Been using F16 for a while now, and even reported a couple of bugs already on it using ABRT, so it could have been a problem with F15 beta only. Maybe it's not worth chasing this anymore.

Thks for the interest anyway. If you'd like me to try to report something with ABRT on F17 alpha/beta to see if it's still there, just let me know.


Note You need to log in before you can comment on or make changes to this bug.